Package libxyz :: Package ui :: Module box_input :: Class InputBox

[hide private]
[frames] | no frames]

# Class InputBox

source code

    Box --+
          |
         InputBox

Shows a message and waits for input

Instance Methods | [hide private]

__init__(self, xyz, body, message, title="", text="", width=70) | source code

show(self, dim=None) Show box and return input value. | source code

Class Variables | [hide private]

| resolution = `u"input_box", u"box", u"widget"`

Method Details | [hide private]

### __init__(self, xyz, body, message, title="", text="", width=70)
(Constructor)

source code

Parameters:
  - `xyz` - XYZ dictionary
  - `body` - Top-level widget
  - `message` - Message to display
  - `title` - Box title
  - `width` - Box width (including mount box)

    Required resources: title, box, border, mount, input, button

### show(self, dim=None)

source code

Show box and return input value. Return None if Escape was pressed